storefronts / Social authentication
GET
/auth/{provider}Get Auth
Redirects the browser to the configured social provider's authorization page to begin a storefront login or signup.
GET
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Publicly accessible; requires the requested social provider to be configured for the host project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Host | Yes | Not specified | Description: Value used by this operation. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
provider | Yes | Not specified | Description: Value used by this operation. |
Query Parameters
| Name | Required | Type | Details |
|---|---|---|---|
intent | No | string | Description: Text value. |
return_to | No | string | Description: Text value. |
Request Body
Response Body
Errors
500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

